=== debian/changelog ===
pure (0.66-1) xenial; urgency=medium

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Sat, 04 Mar 2017 21:33:47 +0100

pure (0.65-1) xenial; urgency=medium

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 23 Feb 2017 23:01:17 +0100

pure (0.64-5) xenial; urgency=medium

  * Remove texmacs-common from the dependencies of pure-texmacs, as
    TeXmacs is not in the standard repositories any more

 -- Albert Graef <aggraef@gmail.com>  Sun, 05 Jun 2016 21:39:09 +0200

pure (0.64-4) xenial; urgency=medium

  * Ubuntu 16.04 compatibility

 -- Albert Graef <aggraef@gmail.com>  Sun, 05 Jun 2016 08:49:31 +0200

pure (0.64-3) trusty; urgency=low

  * Upstream bugfixes

 -- Albert Graef <aggraef@gmail.com>  Sun, 09 Nov 2014 16:36:24 +0100

pure (0.64-2) trusty; urgency=low

  * Upstream bugfixes

 -- Albert Graef <aggraef@gmail.com>  Thu, 30 Oct 2014 15:27:51 +0100

pure (0.64-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 28 Oct 2014 22:41:46 +0100

pure (0.63-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 22 Oct 2014 16:41:26 +0200

pure (0.62-2) trusty; urgency=low

  * Upstream bugfixes

 -- Albert Graef <aggraef@gmail.com>  Tue, 23 Sep 2014 06:54:29 +0200

pure (0.62-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:13:12 +0200

pure (0.61-6) trusty; urgency=low

  * Upstream bugfixes

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 22:52:16 +0200

pure (0.61-5) trusty; urgency=low

  * Upstream: experimental code generation options (-m)

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 00:20:55 +0200

pure (0.61-4) trusty; urgency=low

  * Add dependencies for the new pure-avahi, pure-lilv and pure-lv2
    packages to the pure-util and pure-multimedia meta packages

 -- Albert Graef <aggraef@gmail.com>  Sun, 14 Sep 2014 20:42:48 +0200

pure (0.61-3) trusty; urgency=low

  * Remove dependency on pure-gnumeric due to missing development files

 -- Albert Graef <aggraef@gmail.com>  Sat, 13 Sep 2014 23:25:50 +0200

pure (0.61-2) trusty; urgency=low

  * Add missing pkg-config dependency to pure-dev package

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 13:31:29 +0200

pure (0.61-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 10:38:22 +0200

pure (0.58-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 17 Sep 2013 00:19:07 +0200

pure (0.57-2) precise; urgency=low

  * Maintainer email change, bugfixes

 -- Albert Graef <aggraef@gmail.com>  Fri, 24 May 2013 05:31:36 +0200

pure (0.57-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 14 Feb 2013 17:21:30 +0100

pure (0.56-7) precise; urgency=low

  * Linker fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 18 Jan 2013 05:23:32 +0100

pure (0.56-6) natty; urgency=low

  * Faust2 compatibility fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 15 Jan 2013 21:33:38 +0100

pure (0.56-5) natty; urgency=low

  * Add pure-reduce to the pure-math meta package

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 04 Dec 2012 15:00:58 +0100

pure (0.56-4) natty; urgency=low

  * Post-release fixes to TeXmacs plugin

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 21 Nov 2012 03:29:26 +0100

pure (0.56-3) natty; urgency=low

  * Make pure-texmacs package architecture-independent (it doesn't contain
    any binaries)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 20 Nov 2012 12:23:39 +0100

pure (0.56-2) natty; urgency=low

  * Add pure-texmacs package

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 19 Nov 2012 21:08:32 +0100

pure (0.56-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 19 Nov 2012 11:35:02 +0100

pure (0.55-3) natty; urgency=low

  * More fixes for Lucid compatibility: The stock llvm package has the
    tools in the wrong directory, so only use --with-tool-prefix if the
    directory actually exists.

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 11 Jun 2012 20:57:13 +0200

pure (0.55-2) natty; urgency=low

  * Fixes for Lucid compatibility: The Lucid llvm-dev package lacks a
    dependency on libffi-dev so we add this to the build dependencies of
    Pure instead.

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 06 Jun 2012 10:16:09 +0200

pure (0.55-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 04 Jun 2012 13:01:14 +0200

pure (0.54-10) natty; urgency=low

  * Cleanup

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 02 Jun 2012 00:26:16 +0200

pure (0.54-9) natty; urgency=low

  * Move the standard library to the libpure package so that the
    environment needed to run source scripts is available even if the
    interpreter frontend is not installed.
  * Install the gedit and kate syntax highlighting files into the
    appropriate directories.

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 01 Jun 2012 22:20:53 +0200

pure (0.54-8) natty; urgency=low

  * Add gnumeric-pure to the pure-math dependencies

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 30 May 2012 22:08:21 +0200

pure (0.54-7) natty; urgency=low

  * Fix metapackage dependencies

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 01:41:23 +0200

pure (0.54-6) natty; urgency=low

  * Dependency fixes
  * Add metapackages providing various useful subsets of modules

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 00:15:42 +0200

pure (0.54-5) natty; urgency=low

  * Upstream changes (fix gcc 4.6 warnings)
  * More elaborate checking of llvm-dev dependency

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 12:16:53 +0200

pure (0.54-4) natty; urgency=low

  * Prevent zipping of programming examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 22:35:01 +0200

pure (0.54-3) natty; urgency=low

  * Add examples


